Measuring Irregular Areas in AutoCAD

      AutoCAD offers a variety of ways to find the area of drawn shapes. September 1, 2010

Question
How can I measure the area of an irregular work piece in AutoCAD 2007?

Forum Responses
(CAD Forum)
From contributor D:
Area is a property of AcDbPolyline. If you convert your entities to polylines, then join them using the pedit command, you can retrieve the area by using the list command or via lisp.

(defun c:getarea ()
(vl-load-com)
(vla-get-area (vlax-ename->vla-object (car (entsel))))
)



From contributor S:
You don't even have to join them. Just type "area" at the command line and start picking points, but you need to close the area or it won't be accurate. If you are close, it will be close.


From contributor K:
Make polyline, then click on it to select, then open properties box and under geometry tab, look at area line - it displays right there.


From the original questioner:
Thanks - the properties menu was great.


From contributro J:
We did shop drawings for a project that required us to track total sq. ft. of various acrylic materials and solid surface materials. We used hatch to calculate each area as well as total areas of each material type.

Just hatch each area type with a different hatch pattern. From there you can select each area or even groups and use the properties tool to get the square inches, etc. This thread reminded me of drafting that project.



From contributro V:
The best trick is to use the "bpoly" command. Once you do this with a closed area, it automatically creates a polyline that you then use the area command on.


From contributro M:
1. Open AutoCAD program and make sure all toggle buttons on bottom of screen are not selected.

2. Drag the .pdf file of the site plan into AutoCADís Model viewing page.

3. For the following prompts use:
a. 1 for page number
b. 0 for intersection point
c. # of feet per inch complimenting scale on plan (example: type 20 for 1Ē=20í)
d. 0 for rotation

4. Right click on the screen, select Zoom.

5. Right click again on the screen, select Zoom Extents. Press Esc.

6. Zoom in and out of the site plan with the scroll up/down on the mouse. Pan around site plan by holding down scroll button on mouse and moving mouse to desired direction.

7. Under Home tab on top of screen, select Polyline tool under Draw section.

8. Starting at a corner, go around the edge of either the earth disturbance line or site limit line and left click on the mouse to make a point. If you plot a point you didnít mean to, just hit control + z to go back one point.

9. When getting close to the end of completing the enclosed object, type c or close to finish and press Esc.

10. By selecting the object just created you can move the points around to be more exact.

11. Type area in the command window, enter o for object, and select enclosed object. Area and perimeter reading will appear in command output box.



Would you like to add information to this article?
Interested in writing or submitting an article?
Have a question about this article?


Have you reviewed the related Knowledge Base areas below?
  • KnowledgeBase: Knowledge Base

  • KnowledgeBase: Computerization

  • KnowledgeBase: Computerization: CAD Computer Related Design




    Would you like to add information to this article? ... Click Here

    If you have a question regarding a Knowledge Base article, your best chance at uncovering an answer is to search the entire Knowledge Base for related articles or to post your question at the appropriate WOODWEB Forum. Before posting your message, be sure to
    review our Forum Guidelines.

    Questions entered in the Knowledge Base Article comment form will not generate responses! A list of WOODWEB Forums can be found at WOODWEB's Site Map.

    When you post your question at the Forum, be sure to include references to the Knowledge Base article that inspired your question. The more information you provide with your question, the better your chances are of receiving responses.

    Return to beginning of article.



    Refer a Friend || Read This Important Information || Site Map || Privacy Policy || Site User Agreement

    Letters, questions or comments? E-Mail us and let us know what you think. Be sure to review our Frequently Asked Questions page.

    Contact us to discuss advertising or to report problems with this site.

    To report a problem, send an e-mail to our Webmaster

    Copyright © 1996-2014 - WOODWEB ® Inc.
    All rights reserved. No part of this publication may be reproduced in any manner without permission of the Editor.
    Review WOODWEB's Copyright Policy.

    The editors, writers, and staff at WOODWEB try to promote safe practices. What is safe for one woodworker under certain conditions may not be safe for others in different circumstances. Readers should undertake the use of materials and methods discussed at WOODWEB after considerate evaluation, and at their own risk.

    WOODWEB, Inc.
    335 Bedell Road
    Montrose, PA 18801

    Contact WOODWEB











  • WOODWEB - the leading resource for professional woodworkers


      Home » Knowledge Base » Knowledge Base Article